Problem connecting ktp to jabber accounts since update to 13.1

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem connecting ktp to jabber accounts since update to 13.1

Stefan Vater
Hi,

since the update to opensuse 13.1 I have the problem that I can not any more
connect to my jabber/xmpp accounts using KDE Telepathy. I have two
individual accounts at different jabber servers. The error message is
something like "The service is unavailable" (translated from German). The
Google talk account works however. When connecting with kopete, I have no
problems.

Does anyone have the same problems or can tell me what I can try to further
analize/solve the problem?

Regards,
Stefan

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Problem connecting ktp to jabber accounts since update to 13.1

Jakub Benda
Hello,

I, too, have the this problem. I haven't come across a solution yet.

Jakub


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Problem connecting ktp to jabber accounts since update to 13.1

Christophe Giboudeaux
In reply to this post by Stefan Vater
Hey,

On Thursday 21 November 2013 11:44:03 Stefan Vater wrote:

> Hi,
>
> since the update to opensuse 13.1 I have the problem that I can not any more
> connect to my jabber/xmpp accounts using KDE Telepathy. I have two
> individual accounts at different jabber servers. The error message is
> something like "The service is unavailable" (translated from German). The
> Google talk account works however. When connecting with kopete, I have no
> problems.
>
> Does anyone have the same problems or can tell me what I can try to further
> analize/solve the problem?
Looks like https://bugs.freedesktop.org/show_bug.cgi?id=69206

This can be verified easily: run ktp-debugger (installed by the ktp-common-
internals package) then try to connect.

If you see this error: "got error: wocky-tls-error (#0): TLS Negotiated: -26:
GNUTLS_E_DECOMPRESSION_FAILED: -26: GNUTLS_E_DECOMPRESSION_FAILED"

Then you have the same bug.

(that's why it fails with jabber accounts but works with gtalk ones)

Christophe


signature.asc (205 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problem connecting ktp to jabber accounts since update to 13.1

Stefan Vater
Hi,

yes, I also found this line in the debugger, but I did not yet have the time
to report it. So, why did it work with openSUSE 12.3, then? Is there any
possibility to fix it?

Thanks!

Stefan

Christophe Giboudeaux wrote:

>
> Looks like https://bugs.freedesktop.org/show_bug.cgi?id=69206
>
> This can be verified easily: run ktp-debugger (installed by the
> ktp-common- internals package) then try to connect.
>
> If you see this error: "got error: wocky-tls-error (#0): TLS Negotiated:
> -26: GNUTLS_E_DECOMPRESSION_FAILED: -26: GNUTLS_E_DECOMPRESSION_FAILED"
>
> Then you have the same bug.
>
> (that's why it fails with jabber accounts but works with gtalk ones)
>
> Christophe


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Problem connecting ktp to jabber accounts since update to 13.1

Stefan Vater
Stefan Vater wrote:

Hi,

I found out that jabber works with an older version of libgnutls28. I
installed version 3.2.1 from
http://download.opensuse.org/repositories/home:/jejb1:/Tumbleweed/openSUSE_Tumbleweed/x86_64/libgnutls28-3.2.1-2.20.x86_64.rpm,
and this gives me back my jabber connections :-)

So, please fix this package in openSUSE!

Regards, Stefan

> Hi,
>
> yes, I also found this line in the debugger, but I did not yet have the
> time to report it. So, why did it work with openSUSE 12.3, then? Is there
> any possibility to fix it?
>
> Thanks!
>
> Stefan
>
> Christophe Giboudeaux wrote:
>>
>> Looks like https://bugs.freedesktop.org/show_bug.cgi?id=69206
>>
>> This can be verified easily: run ktp-debugger (installed by the
>> ktp-common- internals package) then try to connect.
>>
>> If you see this error: "got error: wocky-tls-error (#0): TLS Negotiated:
>> -26: GNUTLS_E_DECOMPRESSION_FAILED: -26: GNUTLS_E_DECOMPRESSION_FAILED"
>>
>> Then you have the same bug.
>>
>> (that's why it fails with jabber accounts but works with gtalk ones)
>>
>> Christophe
>
>


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Problem connecting ktp to jabber accounts since update to 13.1

Rajko M.
On Tue, 26 Nov 2013 14:53:14 +0100
Stefan Vater <[hidden email]> wrote:

> So, please fix this package in openSUSE!

Please file bug report at http://bugzilla.novell.com so that issue does
not get lost in a mailbox.

--
Regards, Rajko.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]